# TableObserver (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.client
Interface TableObserver

All Known Implementing Classes:
  TableListView

    public interface TableObserver

The `TableDirector` converts distributed object events into higher level callbacks to implementers of this interface, which are expected to render these events sensically in a user interface.

Method Summary
`void` `tableAdded(Table table)` Called when a new table is created.
`void` `tableRemoved(int tableId)` Called when a table goes away.
`void` `tableUpdated(Table table)` Called when something has changed about a table (occupant list updated, state changed from matchmaking to in-play, etc.).

Method Detail

### tableAdded

    void tableAdded(Table table)

  Called when a new table is created.

### tableUpdated

    void tableUpdated(Table table)

  Called when something has changed about a table (occupant list updated, state changed from matchmaking to in-play, etc.).

### tableRemoved

    void tableRemoved(int tableId)

  Called when a table goes away.

Copyright © 2011. All Rights Reserved.